%define upstream_name File-ConfigDir
%define upstream_version 0.017

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Get directories of configuration files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Path) >= 2.0.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(Test::More) >= 0.900.0
BuildArch:  noarch

%description
Get directories of configuration files.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.17.0-3.mga6
+ Revision: 1027288
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.17.0-2.mga6
+ Revision: 966547
- Mageia 6 Mass Rebuild

* Sat Jun 27 2015 sander85 <sander85> 0.17.0-1.mga6
+ Revision: 845903
- update to 0.017

* Wed Oct 15 2014 umeabot <umeabot> 0.13.0-3.mga5
+ Revision: 749706
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.13.0-2.mga5
+ Revision: 684711
- Mageia 5 Mass Rebuild

* Fri May 02 2014 sander85 <sander85> 0.13.0-1.mga5
+ Revision: 619552
- update to 0.013

* Tue Mar 25 2014 jquelin <jquelin> 0.12.0-1.mga5
+ Revision: 608340
- update to 0.012

* Thu Feb 06 2014 sander85 <sander85> 0.11.0-1.mga5
+ Revision: 584567
- update to 0.011

* Mon Oct 21 2013 umeabot <umeabot> 0.7.0-2.mga4
+ Revision: 538045
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 sander85 <sander85> 0.7.0-1.mga4
+ Revision: 488387
- imported package perl-File-ConfigDir

